<?php
session_start();
require("../../database/dbConection.php");

$UsuarioLogado = $_SESSION['idUsuarioLogado'];

$htmlTabela = "";
$opBusca    = $_GET['op'];

$options = array(

  "http"=>array(
      "header"=>"User-Agent: Mozilla/5.0 (iPad; U; CPU OS 3_2 like Mac OS X; en-us) AppleWebKit/531.21.10 (KHTML, like Gecko) Version/4.0.4 Mobile/7B334b Safari/531.21.102011-10-16 20:23:10\r\n" // i.e. An iPad
  )

);

//LIMPAR REGISTRO TEMPORÁRIO DE PACIENTES PESQUISADO
$stmDelPaciente  = $rsConexao->prepare("DELETE FROM tb_paciente_temp WHERE idusuario='$UsuarioLogado'");    
$stmDelPaciente  -> execute();    

$context = stream_context_create($options);
$totalRegistrosPaciente = 0;

if ($totalRegistrosPaciente == 0){

  $incluirRegistro = "N";

  if($opBusca=="cns" || $opBusca=="cpf"){

    $codBusca = str_replace("-","",$_GET['codbusca']);
    $codBusca = str_replace(".","",$codBusca);
    $codBusca = str_replace(" ","",$codBusca);

    $json_file = file_get_contents("http://ws.essencialweb.app.br/cns/crv_cnsws?op=$opBusca&codbusca=$codBusca", false, $context);
    $json_str = json_decode($json_file, true);
    $itensCNS = $json_str['array_cns']; 
    $incluirRegistro = "S";

  }else{

    $getNomePac   = str_replace(" ","+",$_GET['nomepac']);
    $setNomePac   = mb_strtoupper($_GET['nomepac']);
    $setDataNasc  = $_GET['dtnasc'];
    $getDataNasc  = explode("-",$_GET['dtnasc']);
    $getDataNasc  = $getDataNasc[2].'-'.$getDataNasc[1].'-'.$getDataNasc[0];
    $getNomeMae   = mb_strtoupper($_GET['nomemae']);
    $json_file = file_get_contents("http://ws.essencialweb.app.br/cns/crv_cnsws?op=nome&nomepac=$getNomePac&dtnasc=".$getDataNasc, false, $context);

    $json_str = json_decode($json_file, true);
    $itensCNS = $json_str['array_cns'];


    if($setNomePac == $itensCNS[1]['nome_usuario'] && $setDataNasc==$itensCNS[2]['data_nascimento'] && $getNomeMae==$itensCNS[4]['nome_mae']){
      $incluirRegistro = "S";
    }

  }
 
  if ($itensCNS[0]['numero_cns'] != "" && $incluirRegistro=="S"){     
      
    /* ATRIBUIÇÃO DE VALORES DE VARIÁVEIS PARA O CADASTRO */    
    $cnsPaciente    = $itensCNS[0]['numero_cns'];
    $CPFPaciente    = $itensCNS[3]['numero_cpf'];
    $nomePaciente   = str_replace("'", "`", $itensCNS[1]['nome_usuario']);
    $dataNascimento = $itensCNS[2]['data_nascimento'];
    $sexoPaciente   = $itensCNS[5]['sexo_usuario'];
    $nomeMae        = $itensCNS[4]['nome_mae'];
    $nomePai        = $itensCNS[16]['nome_pai'];
    $racaCor        = $itensCNS[6]['raca_cor'];
    $cepPaciente    = $itensCNS[10]['numero_cep'];
    $nomeMunicipio  = $itensCNS[14]['nome_municipio'];

    if ($itensCNS[7]['tipo_logradouro'] == "999" || $itensCNS[7]['tipo_logradouro'] == "" || $itensCNS[7]['tipo_logradouro'] == "99"){
      $codLogradouro = '081';
    }else{
      $codLogradouro = $itensCNS[7]['tipo_logradouro'];
    }

    $enderecoPaciente       = str_replace("'", "`", $itensCNS[8]['nome_logradouro']);
    $numeroEnderecoPaciente = str_replace("'", "`", $itensCNS[9]['numero_residencia']);
    $nomeBairro             = str_replace("'", "`", $itensCNS[11]['nome_bairro']);
    $codigoEstado           = $itensCNS[15]['sigla_uf'];
    $codigoCidade           = $itensCNS[13]['codigo_municipio'];
    $numeroTelefone         = $itensCNS[12]['telefone'];
    $origemRegistro         = "DATASUS";

    $sqlAddPaciente = "INSERT INTO tb_paciente_temp(cns_paciente,cpf_paciente,nome_paciente,datanasc,sexo,nomemae,nomepai,codracacor,cep_paciente,codlogradouro,";
    $sqlAddPaciente .= "endereco_paciente,numeroend_paciente,bairro_paciente,codigoestado,codigocidade,fonecelular,origem,idusuario)";
    $sqlAddPaciente .= "VALUES(:setCNSPaciente,:setCPFPaciente,:setNomepaciente,:setdataNascimento,:setSexoPaciente,:setNomeMae,:setNomePai,";
    $sqlAddPaciente .= ":setRacaCor,:setCepPaciente,:setLogradouroPaciente,:setEnderecoPaciente,:setNumeroEndereco,:setBairroEndereco,:setCodigoestado,";
    $sqlAddPaciente .= ":setCodigoCidade,:setnumeroTelefone,:setOrigemRegistro,:setIdUsuarop)";

    $stmAddPaciente  = $rsConexao->prepare($sqlAddPaciente);
    $stmAddPaciente  -> bindParam(":setCNSPaciente",$cnsPaciente,PDO::PARAM_STR);
    $stmAddPaciente  -> bindParam(":setCPFPaciente",$CPFPaciente,PDO::PARAM_STR);
    $stmAddPaciente  -> bindParam(":setNomepaciente",$nomePaciente,PDO::PARAM_STR);
    $stmAddPaciente  -> bindParam(":setdataNascimento",$dataNascimento,PDO::PARAM_STR);
    $stmAddPaciente  -> bindParam(":setSexoPaciente",$sexoPaciente,PDO::PARAM_STR);
    $stmAddPaciente  -> bindParam(":setNomeMae",$nomeMae,PDO::PARAM_STR);
    $stmAddPaciente  -> bindParam(":setNomePai",$nomePai,PDO::PARAM_STR);
    $stmAddPaciente  -> bindParam(":setRacaCor",$racaCor,PDO::PARAM_STR);
    $stmAddPaciente  -> bindParam(":setCepPaciente",$cepPaciente,PDO::PARAM_STR);
    $stmAddPaciente  -> bindParam(":setLogradouroPaciente",$codLogradouro,PDO::PARAM_STR);
    $stmAddPaciente  -> bindParam(":setEnderecoPaciente",$enderecoPaciente,PDO::PARAM_STR);
    $stmAddPaciente  -> bindParam(":setNumeroEndereco",$numeroEnderecoPaciente,PDO::PARAM_STR);
    $stmAddPaciente  -> bindParam(":setBairroEndereco",$nomeBairro,PDO::PARAM_STR);
    $stmAddPaciente  -> bindParam(":setCodigoestado",$codigoEstado,PDO::PARAM_STR);
    $stmAddPaciente  -> bindParam(":setCodigoCidade",$codigoCidade,PDO::PARAM_STR);
    $stmAddPaciente  -> bindParam(":setnumeroTelefone",$numeroTelefone,PDO::PARAM_STR);
    $stmAddPaciente  -> bindParam(":setOrigemRegistro",$origemRegistro,PDO::PARAM_STR);
    $stmAddPaciente  -> bindParam(":setIdUsuarop",$UsuarioLogado,PDO::PARAM_STR);
    $stmAddPaciente  -> execute();    
    $ultimoIdPacienteAdd = $rsConexao->lastInsertId();

    //Formata data de nascimento para exibição
    $dtNascimento = explode("-",$dataNascimento);
    $dtNascimento = $dtNascimento[2].'/'.$dtNascimento[1].'/'.$dtNascimento[0];
    //******************************/

    if($codigoCidade!=$_SESSION['ibgeSedeSistema'] && $codigoCidade!=""){
      $setCorCidade = "style='background-color:#ae0000 !important;color:#fff'";
    }else{
      $setCorCidade		= "";
    }

    $linkRedirect = '"window.location.href=' . "'./redirect?opcao=paciente_cadastrar&id=$cnsPaciente$$ultimoIdPacienteAdd'" . '"';
    $htmlTabela = "<tr>
      <td>$nomePaciente</td>
      <td>$cnsPaciente</td>
      <td>$dtNascimento</td>
      <td>$nomeMae</td>
      <td>$numeroTelefone</td>
      <td $setCorCidade>$nomeMunicipio</td>
      <td align='center'><i class='ft-edit nova_fonte' onclick=$linkRedirect></i></td>
    </tr>";

  }else{

    unset($_SESSION['session_idredirect']);
    $htmlTabela = "";

  }

}else{
  
  $htmlTabela = "";

  foreach($rsPaciente as $fieldPaciente){

    $nomePaciente   = mb_strtoupper($fieldPaciente['nome_paciente']);
    $cnsPaciente    = $fieldPaciente['cns_paciente'];
    $dtNascimento   = $fieldPaciente['dataNascimento'];
    $NomeMae        = mb_strtoupper($fieldPaciente['nomemae']);
    $numeroTelefone = $fieldPaciente['fonecelular'];
    $idPaciente     = $fieldPaciente['id_paciente'];


    $linkRedirect = '"window.location.href=' . "'./redirect?opcao=paciente_cadastrar&id=$idPaciente'" . '"';
    $htmlTabela .= "<tr>
      <td>$nomePaciente</td>
      <td>$cnsPaciente</td>
      <td>$dtNascimento</td>
      <td>$NomeMae</td>
      <td>$numeroTelefone</td>
      <td>$nomeMunicipio</td>
      <td align='center'><i class='ft-edit nova_fonte' onclick=$linkRedirect></i></td>
    </tr>";

  }


}

echo $htmlTabela;

?>
